### Method

# St TextureCache load_sliced_image

#### Declaration [src]

    ClutterActor*
    st_texture_cache_load_sliced_image (
      StTextureCache* cache,
      GFile* file,
      gint grid_width,
      gint grid_height,
      gint paint_scale,
      gfloat resource_scale,
      GFunc load_callback,
      gpointer user_data
    )

#### Description [src]

This function reads a single image file which contains multiple images internally. The image file will be divided using `grid_width` and `grid_height`; note that the dimensions of the image loaded from `path` should be a multiple of the specified grid dimensions.

#### Parameters

`file`

  Type: `GFile`

  A `GFile`.

  The data is owned by the caller of the method.

`grid_width`

  Type: `gint`

  Width in pixels.

`grid_height`

  Type: `gint`

  Height in pixels.

`paint_scale`

  Type: `gint`

  Scale factor of the display.

`resource_scale`

  Type: `gfloat`

  No description available.

`load_callback`

  Type: `GFunc`

  Function called when the image is loaded, or `NULL`.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  Data to pass to the load callback.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

#### Return value

Type: `ClutterActor`

A new `ClutterActor`.

The returned data is owned by the instance.